Commit 6cc72c60 authored by Volker Krause's avatar Volker Krause
Browse files

Install the version header

Wont help immediately, but should come in handy when dealing with CI
update delays in the future.
parent a04f8c89
cmake_minimum_required(VERSION 3.5) cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.40") set(PIM_VERSION "5.13.41")
project(KItinerary VERSION ${PIM_VERSION}) project(KItinerary VERSION ${PIM_VERSION})
set(CMAKE_CXX_STANDARD 14) set(CMAKE_CXX_STANDARD 14)
...@@ -100,14 +100,15 @@ endif() ...@@ -100,14 +100,15 @@ endif()
add_definitions(-DQT_NO_FOREACH) add_definitions(-DQT_NO_FOREACH)
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPimItinerary")
set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim)
add_subdirectory(src) add_subdirectory(src)
if(BUILD_TESTING) if(BUILD_TESTING)
add_subdirectory(autotests) add_subdirectory(autotests)
endif() endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES) feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPimItinerary")
configure_package_config_file( configure_package_config_file(
"${CMAKE_CURRENT_SOURCE_DIR}/KPimItineraryConfig.cmake.in" "${CMAKE_CURRENT_SOURCE_DIR}/KPimItineraryConfig.cmake.in"
"${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfig.cmake" "${CMAKE_CURRENT_BINARY_DIR}/KPimItineraryConfig.cmake"
...@@ -126,4 +127,6 @@ install(EXPORT KPimItineraryTargets ...@@ -126,4 +127,6 @@ install(EXPORT KPimItineraryTargets
NAMESPACE KPim:: NAMESPACE KPim::
) )
install(FILES org_kde_kitinerary.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}) install(FILES org_kde_kitinerary.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kitinerary_version.h
DESTINATION ${KDE_INSTALL_INCLUDEDIR_PIM} COMPONENT Devel)
ki18n_install(po) ki18n_install(po)
set(KDE_INSTALL_INCLUDEDIR_PIM ${KDE_INSTALL_INCLUDEDIR}/KPim)
add_subdirectory(cli) add_subdirectory(cli)
if (TARGET Qt5::Network) if (TARGET Qt5::Network)
add_subdirectory(knowledgedb-generator) add_subdirectory(knowledgedb-generator)
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment